## rorden-mri-tutorial 0.20110218~dfsg.1

=== debian/changelog ===
rorden-mri-tutorial (0.20110218~dfsg.1-1) data; urgency=low

  * Initial Release.

 -- Michael Hanke <mih@debian.org>  Mon, 28 Feb 2011 11:32:06 -0500
