=== debian/control ===
Source: rorden-mri-tutorial
Section: science
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://www.cabiatl.com/Resources/Course/tutorial/
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=exppsy/rorden-mri-tutorial.git
Vcs-Git: git://git.debian.org/git/exppsy/rorden-mri-tutorial.git


Package: rorden-mri-tutorial
Section: doc
Architecture: all
Depends: ${misc:Depends}, rorden-mri-tutorial-data (= ${source:Version}), iceweasel | www-browser
Recommends: fsl-4.1 | fsl, mricron
Suggests: matlab-spm8
Description: Chris Rorden's MRI analysis tutorial
 A beginner-level tutorial covering diffusion tensor imaging with FSL,
 fMRI analysis with FSL (block design and event-related designs), fMRI analysis
 with SPM (block design) and fMRI peristimulus plots with MRIcron.
 .
 All tutorial parts offer detailed step-by-step instructions with screenshots
 and numerous references with additional information.
 .
 This package provides the actual tutorial in HTML format.


Package: rorden-mri-tutorial-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for Chris Rorden's MRI analysis tutorial
 A beginner-level tutorial covering diffusion tensor imaging with FSL,
 fMRI analysis with FSL (block design and event-related designs), fMRI analysis
 with SPM (block design) and fMRI peristimulus plots with MRIcron.
 .
 All tutorial parts offer detailed step-by-step instructions with screenshots
 and numerous references with additional information.
 .
 This package provides data for the analyses in the tutorial.
